KeyAgreementAlgorithm Class Referenceabstract

Interface for key agreement algorithms. More...

Inheritance diagram for KeyAgreementAlgorithm:

## Public Member Functions

CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to Crypto Parameters. More...
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to Crypto Parameters. More...
virtual CryptoParameters & | AccessCryptoParameters ()=0
| Retrieves a reference to Crypto Parameters. More...
virtual const CryptoParameters & | GetCryptoParameters () const
| Retrieves a reference to Crypto Parameters. More...
Public Member Functions inherited from AsymmetricAlgorithm
void | BERDecode (BufferedTransformation &bt)
| Loads this object from a BufferedTransformation. More...
void | DEREncode (BufferedTransformation &bt) const
| Saves this object to a BufferedTransformation. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...

## Detailed Description

Interface for key agreement algorithms.

Definition at line 2281 of file cryptlib.h.

## Member Function Documentation

## AccessMaterial()

CryptoMaterial& KeyAgreementAlgorithm::AccessMaterial | ( |  | ) |

inline virtual

Retrieves a reference to Crypto Parameters.

Returns
  a reference the crypto parameters

Implements AsymmetricAlgorithm.

Definition at line 2290 of file cryptlib.h.

## GetMaterial()

const CryptoMaterial& KeyAgreementAlgorithm::GetMaterial | ( |  | ) | const

inline virtual

Retrieves a reference to Crypto Parameters.

Returns
  a const reference the crypto parameters

Implements AsymmetricAlgorithm.

Definition at line 2293 of file cryptlib.h.

## AccessCryptoParameters()

virtual CryptoParameters& KeyAgreementAlgorithm::AccessCryptoParameters | ( |  | ) |

pure virtual

Retrieves a reference to Crypto Parameters.

Returns
  a reference the crypto parameters

Implemented in DL_SimpleKeyAgreementDomainBase< T >, DL_SimpleKeyAgreementDomainBase< GROUP_PARAMETERS::Element >, MQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION >, FHMQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION, HASH >, HMQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION, HASH >, XTR_DH, and DH2.

## GetCryptoParameters()

virtual const CryptoParameters& KeyAgreementAlgorithm::GetCryptoParameters | ( |  | ) | const

inline virtual

Retrieves a reference to Crypto Parameters.

Returns
  a const reference the crypto parameters

Definition at line 2300 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h